" An example for a gvimrc file.
" The commands in this are executed when the GUI is started.
"
" Maintainer:	Bram Moolenaar <Bram@vim.org>
" Last change:	2001 Sep 02
"
" To use it, copy it to
"     for Unix and OS/2:  ~/.gvimrc
"	      for Amiga:  s:.gvimrc
"  for MS-DOS and Win32:  $VIM\_gvimrc
"	    for OpenVMS:  sys$login:.gvimrc

" Make external commands work through a pipe instead of a pseudo-tty
"set noguipty

" set (language-dependant) X11 font to use
if filereadable( $VIMRUNTIME . "/langrc/" . $LANG . ".vim" )
	exe "so " . $VIMRUNTIME . "/langrc/" . $LANG . ".vim"
else
	set guifont=-*-fixed-medium-r-normal-*-*-130-*-*-*-*-*-*
endif

set ch=2		" Make command line two lines high

set mousehide		" Hide the mouse when typing text

"set go=agimrt		" Uncomment if you want to get rid of toolbar

" Make shift-insert work like in Xterm
map <S-Insert> <MiddleMouse>
map! <S-Insert> <MiddleMouse>

" Only do this for Vim version 5.0 and later.
if version >= 500

  " I like highlighting strings inside C comments
  let c_comment_strings=1

  " Uncomment this if your prefer dark background as I do...
  "set bg=dark

  " Switch on syntax highlighting if it wasn't on yet.
  if !exists("syntax_on")
    syntax on
  endif

  " Switch on search pattern highlighting.
  set hlsearch

  " For Win32 version, have "K" lookup the keyword in a help file
  "if has("win32")
  "  let winhelpfile='windows.hlp'
  "  map K :execute "!start winhlp32 -k <cword> " . winhelpfile <CR>
  "endif

  " Set nice colors
  " background for normal text is light grey
  " Text below the last line is darker grey
  " Cursor is green, Cyan when ":lmap" mappings are active
  " Constants are not underlined but have a slightly lighter background
  highlight Normal guibg=grey90
  highlight Cursor guibg=Green guifg=NONE
  highlight lCursor guibg=Cyan guifg=NONE
  highlight NonText guibg=grey80
  highlight Constant gui=NONE guibg=grey95
  highlight Special gui=NONE guibg=grey95

  " Comment previous and uncomment next if you want even more nice colours
  "highlight Normal guibg=midnightblue guifg=grey
  "highlight Cursor guibg=MediumSeaGreen guifg=black
  "highlight NonText guibg=midnightblue 
  "highlight Visual guibg=black

  "enable "title" and "icon" features disabled in vimrc
  if has("title")
	  set title
	  set icon
  endif

endif
